export interface BaseFactoryInfoVO {
  /**
   * 主键标识
   */
  factoryId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 公司名称
   */
  companyName: string;

  /**
   * 工厂编号
   */
  factoryCode: string;

  /**
   * 工厂名称
   */
  factoryName: string;

  /**
   * 时区
   */
  timeZone: string;

  /**
   * 工厂状态(1启用 0停用)
   */
  factoryStatus: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseFactoryInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  factoryId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 公司名称
   */
  companyName?: string;

  /**
   * 工厂编号
   */
  factoryCode?: string;

  /**
   * 工厂名称
   */
  factoryName?: string;

  /**
   * 时区
   */
  timeZone?: string;

  /**
   * 工厂状态(1启用 0停用)
   */
  factoryStatus?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;

}

export interface BaseFactoryInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  factoryId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 公司名称
   */
  companyName?: string;

  /**
   * 工厂编号
   */
  factoryCode?: string;

  /**
   * 工厂名称
   */
  factoryName?: string;

  /**
   * 时区
   */
  timeZone?: string;

  /**
   * 工厂状态(1启用 0停用)
   */
  factoryStatus?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



